Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.metal.MetalButtonUI

public class MetalButtonUI
extends BasicButtonUI

MetalButtonUI implementation

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary
`protected Color` | `disabledTextColor`
`protected Color` | `focusColor`
`protected Color` | `selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`MetalButtonUI()`

Method Summary
`protected BasicButtonListener` | `createButtonListener(AbstractButton b)`
`static ComponentUI` | `createUI(JComponent c)` Returns an instance of the UI delegate for the specified component.
`protected Color` | `getDisabledTextColor()`
`protected Color` | `getFocusColor()`
`protected Color` | `getSelectColor()`
`void` | `installDefaults(AbstractButton b)`
`protected void` | `paintButtonPressed(Graphics g, AbstractButton b)`
`protected void` | `paintFocus(Graphics g, AbstractButton b, Rectangle viewRect, Rectangle textRect, Rectangle iconRect)`
`protected void` | `paintText(Graphics g, JComponent c, Rectangle textRect, String text)` As of Java 2 platform v 1.4 this method should not be used or overriden.
`void` | `uninstallDefaults(AbstractButton b)`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paint, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### focusColor

    protected Color focusColor

### selectColor

    protected Color selectColor

### disabledTextColor

    protected Color disabledTextColor

Constructor Detail

### MetalButtonUI

    public MetalButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Description copied from class: `ComponentUI`
  Returns an instance of the UI delegate for the specified component. Each subclass must provide its own static `createUI` method that returns an instance of that UI delegate subclass. If the UI delegate subclass is stateless, it may return an instance that is shared by multiple components. If the UI delegate is stateful, then it should return a new instance per component. The default implementation of this method throws an error, as it should never be invoked.

### installDefaults

    public void installDefaults(AbstractButton b)

  Overrides:
    `installDefaults` in class `BasicButtonUI`

### uninstallDefaults

    public void uninstallDefaults(AbstractButton b)

  Overrides:
    `uninstallDefaults` in class `BasicButtonUI`

### createButtonListener

    protected BasicButtonListener createButtonListener(AbstractButton b)

  Overrides:
    `createButtonListener` in class `BasicButtonUI`

### getSelectColor

    protected Color getSelectColor()

### getDisabledTextColor

    protected Color getDisabledTextColor()

### getFocusColor

    protected Color getFocusColor()

### paintButtonPressed

    protected void paintButtonPressed(Graphics g,
                                      AbstractButton b)

  Overrides:
    `paintButtonPressed` in class `BasicButtonUI`

### paintFocus

    protected void paintFocus(Graphics g,
                              AbstractButton b,
                              Rectangle viewRect,
                              Rectangle textRect,
                              Rectangle iconRect)

  Overrides:
    `paintFocus` in class `BasicButtonUI`

### paintText

    protected void paintText(Graphics g,
                             JComponent c,
                             Rectangle textRect,
                             String text)

  Description copied from class: `BasicButtonUI`
  As of Java 2 platform v 1.4 this method should not be used or overriden. Use the paintText method which takes the AbstractButton argument.

  Overrides:
    `paintText` in class `BasicButtonUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.